#!/bin/sh

sleep 1
cd /matrix/appl

killall sparshvp510_ext_voip
echo "extsipphone" > /opt/runningAppType

cd /lib/modules
/lib/modules/uart.sh start
sleep 2

/matrix/appl/script/firmupgrade.sh 1

cd /

chmod 755 /matrix/appl/*

NUMBERS="1 2 3 4 5 6 7 8 9 10"

for number in `echo $NUMBERS` # for number in 1 2 3 4 5 6 7 8 9 10
do
{
	eeprom-update /matrix/vopp/eeprom.dat &
	sleep 2
	cordless-ctrl load /matrix/vopp/cordless.coma /matrix/vopp/eeprom.dat
	sleep 2
	msgswitchd &
	sleep 1
	rtp_app &
	sleep 5
	echo -n "sparshvp510_ext_voip started at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	/matrix/appl/sparshvp510_ext_voip
	echo -n "sparshvp510_ext_voip exited with return code $? at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	echo "sparshvp510_ext_voip application killed or exited !"
	sleep 1
	kill `pidof rtp_app`
	sleep 1
	kill `pidof msgswitchd`
	sleep 1
	kill `pidof eeprom-update`
	sleep 1
	cordless-ctrl unload
	sleep 1
}
done

